unit dev;

interface

function dv_connect(beep: smallint):smallint;
stdcall;far;external 'CLock.dll' name 'dv_connect';

function dv_disconnect():smallint;
stdcall; far; external 'CLock.dll' name 'dv_disconnect';

function dv_check_card():smallint;
stdcall; far; external 'CLock.dll' name 'dv_check_card';

function dv_verify_card(var cardtype: smallint):smallint;
stdcall; far; external 'CLock.dll' name 'dv_verify_card';

function dv_read_card(cardno,building,room,commdoors, arrival,departure,cardID,data11: pAnsichar): smallint;
stdcall; far; external 'CLock.dll' name 'dv_read_card';

function dv_write_card(building,room,commdoors,arrival,departure,suspendnum: pAnsiChar;mode:integer;data11: pAnsiChar;cardID: pAnsiChar): smallint;
stdcall; far; external 'CLock.dll' name 'dv_write_card';

function dv_delete_card(roomNumber:pAnsiChar):smallint;
stdcall; far; external 'CLock.dll' name 'dv_delete_card';

implementation

end.
